
GammaLib - Action #1144

Use Prod2 FITS file for CTA response modelling

02/12/2014 06:17 PM - Knödlseder Jürgen

Status: Closed Start date: 02/12/2014

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Description

The CTA Prod2 response file contain information that can be used for instrumental response modelling. It should be possible to use

this information to create a GCTAModelBackground background model. Probably the recently added features that support

background modelling in instrument coordinates can be used for this.

Related issues:

Related to GammaLib - Action # 1096: BackgroundModel from IRF Closed 02/07/2014

History

#1 - 02/12/2014 06:21 PM - Knödlseder Jürgen

Check the extension BACKGROUND in inst/cta/caldb/data/cta/e/bcf/IFAE20120510_50h/irf_file.fits for the actual format.

#2 - 02/16/2014 03:21 AM - Knödlseder Jürgen

- Status changed from New to Feedback

- Assigned To set to Knödlseder Jürgen

- % Done changed from 0 to 100

The new GCTABackground interface and specifically the GCTABackground3D and GCTABackgroundPerfTable now handle this.

#3 - 02/16/2014 01:48 PM - Knödlseder Jürgen

- File cta_aeff.png added

- File cta_background.png added

- File cta_sensitivity.png added

Here a couple of figures comparing the various CTA responses using the GammaLib interface. Things look pretty reasonable. The plots have been

obtained using the script show_response.py which is part of the ctools package.

#4 - 10/30/2014 11:48 AM - Knödlseder Jürgen

- Status changed from Feedback to Closed

- Remaining (hours) set to 0.0

Files

cta_aeff.png 52.3 KB 02/16/2014 Knödlseder Jürgen

cta_background.png 63.4 KB 02/16/2014 Knödlseder Jürgen

cta_sensitivity.png 53.2 KB 02/16/2014 Knödlseder Jürgen
